%define		kdeappsver	19.04.0
%define		qtver		5.9.0
%define		kaname		kdenlive
Summary:	KDE movie editor
Summary(pl.UTF-8):	Edytor filmów dla KDE
Name:		kdenlive
Version:	19.04.0
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://download.kde.org/stable/applications/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	1386b04b1aef5832ae21525aaf4fc8b7
Patch0:		c11.patch
Patch1:		qt-5.15.patch
URL:		http://kdenlive.org/
BuildRequires:	Qt5Concurrent-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Multimedia-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5Qml-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Script-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5WebKit-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake
BuildRequires:	gettext-tools
BuildRequires:	kf5-attica-devel
BuildRequires:	kf5-karchive-devel
BuildRequires:	kf5-kbookmarks-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kcrash-devel
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-kfilemetadata-devel
BuildRequires:	kf5-kguiaddons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-knewstuff-devel
BuildRequires:	kf5-knotifications-devel
BuildRequires:	kf5-knotifyconfig-devel
BuildRequires:	kf5-kplotting-devel
BuildRequires:	kf5-ktextwidgets-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	kf5-purpose-devel
BuildRequires:	kf5-sonnet-devel
BuildRequires:	libv4l-devel
BuildRequires:	mlt-devel >= 6.12.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qjson-devel >= 0.5
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	rttr-devel
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
Requires:	Qt5Gui-platform-xcb-egl
Requires:	Qt5Gui-platform-xcb-glx
Requires:	Qt5Quick-controls
Suggests:	dvdauthor
Suggests:	dvgrab
Suggests:	ffmpeg-ffplay
Suggests:	frei0r-plugins
Suggests:	mlt >= 6.0.0
Suggests:	recordmydesktop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kdenlive is a non-linear video editor for KDE. It provides all project
management and editing tools while relying on a separate rendering
program (currently PIAVE) to perform the editing operations. Support
is planned for transitions, effects, multiple file formats, and full
project and asset management support. The current beta is capable of
editing raw DV or AVI DV files, with tools such as move, razor, and
resize, selecting parts of clips using in/outpoints, and exporting the
result to another raw DV file. You may playback/preview the contents
of the timeline at any point during the edit. Full project save/load
is supported.

%description -l pl.UTF-8
Kdenlive to nieliniowy edytor filmów dla KDE. Dostarcza narzędzia do
zarządzania projektem i edycji polegające na oddzielnym programie
renderującym (aktualnie PIAVE) do wykonywania operacji edycji.
Planowana jest obsługa przejść, efektów, wielu formatów plików oraz
pełnego zarządzania projektem i kapitałem. Aktualna wersja beta może
modyfikować pliki w formacie surowego DV oraz AVI DV przy użyciu
narzędzi takich jak przemieszczanie, cięcia, zmiana rozmiaru,
wybieranie części klatek przy użyciu punktów wejściowych/wyjściowych
oraz eksportowanie wyniku do innego pliku w formacie surowego DV.
Można odtwarzać/podglądać zawartość w dowolnej chwili edycji.
Obsługiwany jest zapis/odczyt pełnego projektu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
mkdir -p build
cd build
%cmake .. \
	-G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DPLUGIN_INSTALL_DIR=%{_libdir}/qt5/plugins

%ninja_build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}*
%attr(755,root,root) %{_libdir}/qt5/plugins/mltpreview.so
%{_datadir}/metainfo/org.kde.kdenlive.appdata.xml
%{_datadir}/config.kcfg/kdenlivesettings.kcfg
%{_datadir}/knotifications5/kdenlive.notifyrc
%{_datadir}/kservices5/mltpreview.desktop
%dir %{_datadir}/kxmlgui5/kdenlive
%{_datadir}/kxmlgui5/kdenlive/kdenliveui.rc
%{_datadir}/mime/packages/*.xml
%{_datadir}/%{name}
%{_desktopdir}/org.kde.kdenlive.desktop
%{_docdir}/HTML/en/kdenlive
/etc/xdg/%{name}*.knsrc
/etc/xdg/kdenlive.categories
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svg
%{_iconsdir}/*/*/*/*.svgz
%{_mandir}/man1/kdenlive*
%changelog
* Sun Jul 12 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kdenlive.git;a=log;h=master

* Sun Jul 12 2020 Jan Rękorajski <baggins@pld-linux.org> 450ed0c
- BR rttr-devel

* Sun Jul 12 2020 Jan Rękorajski <baggins@pld-linux.org> 9a44c22
- added more BRs

* Sun Jul 12 2020 Jan Rękorajski <baggins@pld-linux.org> 62ae05b
- updated BRs

* Sun Jul 12 2020 Jan Rękorajski <baggins@pld-linux.org> ff68f3a
- fix building with latest cmake/ninja and qt 5.15

* Mon Apr 22 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 49be18e
- updated to 19.04.0

* Sat Mar 30 2019 Jan Rękorajski <baggins@pld-linux.org> 16d6c32
- release 4 (by relup.sh)

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> dc887b2
- release 3 (by relup.sh)

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> 5eb0004
- release 2 (by relup.sh)

* Sun Jan 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> b4e1672
- updated to 18.12.1; ninja

* Sat Dec 29 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 4428191
- updated to 18.12.0

* Sun Dec 10 2017 Jacek Konieczny <jajcus@jajcus.net> 3544430
- appdata goes now to the metainfo directory

* Sun Dec 10 2017 Jacek Konieczny <jajcus@jajcus.net> fe0a30f
- up to  17.08.3

* Fri Oct 21 2016 Jan Rękorajski <baggins@pld-linux.org> ddd77d3
- fix plugin location
- rel 3

* Sun Oct 16 2016 Jan Rękorajski <baggins@pld-linux.org> 4da022c
- release 2 (by relup.sh)

* Fri Sep 09 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 32c15fd
- up to 16.08.1

* Sun Aug 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a5c239
- R: Qt5Gui-platform-xcb-egl, Qt5Gui-platform-xcb-glx

* Sun Aug 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1589c78
- R: Qt5Quick-controls (note this kdenlive version doesn't work under KDE4; needs KDE5 to be running

* Sun Aug 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> eaf118a
- up to 16.08.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 811735d
- updated gettext BR

* Wed Oct 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c3e7a9
- up to 0.9.10

